# FTBitmapGlyph Class Reference

FTBitmapGlyph is a specialisation of FTGlyph for creating bitmaps. More...

`#include <FTBitmapGlyph.h>`

Inheritance diagram for FTBitmapGlyph:

## Public Member Functions
| FTBitmapGlyph (FT_GlyphSlot glyph)
| Constructor.
virtual | ~FTBitmapGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.

## Detailed Description

FTBitmapGlyph is a specialisation of FTGlyph for creating bitmaps.

Definition at line 42 of file FTBitmapGlyph.h.

## Constructor & Destructor Documentation

FTBitmapGlyph::FTBitmapGlyph | ( | FT_GlyphSlot | glyph | ) |

Constructor.

Parameters:

  | glyph | The Freetype glyph to be processed

virtual FTBitmapGlyph::~FTBitmapGlyph | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual const FTPoint& FTBitmapGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode |
| ) |  |  | `[virtual]`

Render this glyph at the current pen position.

Parameters:

  | pen | The current pen position.
  | renderMode | Render mode to display

Returns:
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTBitmapGlyph.h